# define an implicit build rule for any file matching %.swf,
# using the $< (input) and $@ (output) automatic variables
%.swf : %.mxml
	$(MXMLC) $< -warnings -l+=$(dir $<) -output $@


# define an implicit build rule for any file matching %.swc,
# using the $< (input) and $@ (output) automatic variables
# just like with the %.swf implicit rule above
%.swc : %.as
	$(COMPC) -sp+=./ -output $@ -include-classes $(subst /,.,$(basename $<))
